#include "AdafruitIO_WiFi.h"

#define IO_USERNAME "BENUTZERNAME"
#define IO_KEY "KEY"

#define WIFI_SSID "WLAN-NETZ"
#define WIFI_PASS "PASSWORT"

AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);

AdafruitIO_Feed *led = io.feed("led");

#define LED_PIN 0 //Am ESP8266 Pin D3

void handleMessage(AdafruitIO_Data *data) {

  Serial.print("received <- ");

  if (data->toPinLevel() == HIGH) {
    Serial.println("HIGH");
  }
  else {
    Serial.println("LOW");
  }

  digitalWrite(LED_PIN, data->toPinLevel());
}

void setup() {
  Serial.begin(115200);

  pinMode(LED_PIN, OUTPUT);

  Serial.print("Connecting to Adafruit IO");
  io.connect();

  led->onMessage(handleMessage);

  while (io.status() < AIO_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println();
  Serial.println(io.statusText());
}

void loop() {
  io.run();
}
